## kfritz 0.0.4

=== CMakeLists.txt ===
# --- general setup -----------------------------------------------------------
cmake_minimum_required(VERSION 2.6)
project (KFRITZ)

#set(CMAKE_VERBOSE_MAKEFILE true) # <-- enable for debugging
#set(CMAKE_BUILD_TYPE "Debug")    # <-- enable for debugging 
set(CMAKE_SKIP_RPATH TRUE)
set(CMAKE_MODULE_PATH "${KFRITZ_SOURCE_DIR}/CMakeModules")

# --- kde includes ------------------------------------------------------------
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include_directories(${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

# --- libgcrypt includes ------------------------------------------------------
include("FindGcryptConfig")
gcrypt_check(GCRYPT REQUIRED gcrypt)

# --- support for libindicate -------------------------------------------------
find_package(PkgConfig REQUIRED)
pkg_check_modules(INDICATEQT indicate-qt>=0.2.2)
macro_log_feature(INDICATEQT_FOUND "indicate-qt" "QT bindings for libindicate" 
                                   "https://launchpad.net/libindicate-qt" 
                                   FALSE 
                                   "0.2.2" 
                                   "Required for indicator support.")
if (INDICATEQT_FOUND)
	include_directories(${INDICATEQT_INCLUDE_DIRS})
	link_directories(${INDICATEQT_LIBRARY_DIRS})
endif (INDICATEQT_FOUND)

                    
# --- include local libs ------------------------------------------------------
subdirs(libtcpclient++)
subdirs(libpthread++)
subdirs(libfritz++)
INCLUDE_DIRECTORIES(libfritz++ libtcpclient++ libpthread++)

# --- include icons -----------------------------------------------------------
subdirs(icons)

# --- i18n --------------------------------------------------------------------
find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
if(GETTEXT_MSGFMT_EXECUTABLE)
  set(catalogname kfritz)
  add_custom_target(translations ALL)
  file(GLOB PO_FILES po/*.po)
  foreach(_poFile ${PO_FILES})
    get_filename_component(_poFileName ${_poFile} NAME)
    string(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
    string(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
 
    if( _langCode )
      get_filename_component(_lang ${_poFile} NAME_WE)
      set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
 
      add_custom_command(TARGET translations
                         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                         DEPENDS ${_poFile})
      install(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
    endif( _langCode )
  endforeach(_poFile ${PO_FILES}) 
endif(GETTEXT_MSGFMT_EXECUTABLE)

# --- compile and link --------------------------------------------------------

set(kfritzbox_SRCS KFritz.cpp KFritzWindow.cpp KFonbookModel.cpp KSettingsFonbooks.cpp
                   KSettingsFritzBox.cpp KFritzModel.cpp KCalllistModel.cpp LibFritzInit.cpp 
                   Log.cpp LogDialog.cpp QAdaptTreeView.cpp)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} ${GCRYPT_CFLAGS}")
set(CMAKE_CXX_FLAGS_DEBUG "-g -ggdb -O0 -Wall -D_GLIBCXX_DEBUG") 

kde4_add_kcfg_files(kfritzbox_SRCS GENERATE_MOC KSettings.kcfgc)
kde4_add_ui_files(kfritzbox_SRCS KSettingsFritzBox.ui KSettingsFonbooks.ui)

configure_file(pkg-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/pkg-config.h)
kde4_add_executable(kfritz ${kfritzbox_SRCS})
target_link_libraries(kfritz ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY} ${GCRYPT_LIBRARIES}
                                fritz++ tcpclient++ pthread++ )
if (INDICATEQT_FOUND)
	target_link_libraries(kfritz ${INDICATEQT_LIBRARIES})
endif (INDICATEQT_FOUND)


# --- installs ----------------------------------------------------------------                                
install(TARGETS kfritz ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kfritz.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kfritz)
install(FILES kfritzui.rc DESTINATION ${DATA_INSTALL_DIR}/kfritz)
install(FILES kfritz.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES kfritz.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== Makefile ===
VERSION = $(shell grep 'static const char \*VERSION *=' KFritz.cpp | awk '{ print $$6 }' | sed -e 's/[";]//g')
WDIR    = $(shell pwd)
PODIR   = po
POTFILE = $(PODIR)/kfritz.pot
POFILES = $(wildcard $(PODIR)/*.po)


cmake:
	@if test ! -d build; \
	then mkdir -p build; \
	cd build; cmake ..; \
	fi

all: cmake $(POFILES) $(POTFILE)
	cd build; make 

clean:
	@-rm ../kfritz-${VERSION}.orig.tar.gz
	@-rm -rf build
	
dist: clean
	tar cvz --dereference \
	        --exclude-vcs --exclude="debian" --exclude=".settings" --exclude=".project" \
	        --exclude=".cproject" --exclude=".cdtproject" --exclude="test" \
	        -f ../kfritz_${VERSION}.orig.tar.gz ../kfritz

install: all
	cd build; kdesudo make install

deb: dist
	debuild -i"(\.svn|\.settings|\.(c|cdt|)project|test)"

deb-src: dist
	debuild -S -i"(\.svn|\.settings|\.(c|cdt|)project|test)"
	
$(POTFILE): $(wildcard *.cpp) $(wildcard libfritz++/*.cpp) $(wildcard *.kcfg) $(wildcard *.rc) 
	xgettext --from-code=UTF-8 -C -kde -ci18n -ki18n:1 -ki18nc:1c,2 -ki18np:1,2 -ki18ncp:1c,2,3 -ktr2i18n:1\
	         -kI18N_NOOP:1 -kI18N_NOOP2:1c,2 -kaliasLocale -kki18n:1 -kki18nc:1c,2 -kki18np:1,2 -kki18ncp:1c,2,3 \
	         --msgid-bugs-address="kfritz@joachim-wilke.de" \
	         -D ${WDIR} -o po/kfritz.pot *.h *.cpp *.kcfg *.rc build/*.h libfritz++/*.cpp libfritz++/*.h
	         
po/%.po: $(POTFILE)
	msgmerge -U --no-wrap -F --backup=none -q $@ $<
	@touch $@

=== libpthread++/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project (libpthread++)
set(SRCS PThread++.cpp)
add_library(pthread++ STATIC ${SRCS})

=== libtcpclient++/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
include_directories(../libpthread++)
project (libtcpclient++)
set(SRCS TcpClient++.cpp)
add_library(tcpclient++ STATIC ${SRCS})

=== debian/changelog ===
kfritz (0.0.4-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 02:43:30 +0200

kfritz (0.0.4-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #522673) 

 -- Christian Mangold <neversfelde@ubuntu.com>  Tue, 16 Feb 2010 15:18:05 +0100

=== debian/control ===
Source: kfritz
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Mangold <neversfelde@ubuntu.com>
Build-Depends: debhelper (>= 7.4.13),
               pkg-kde-tools (>= 0.5.3),
               cmake,
               kdelibs5-dev,
               libindicate-qt-dev,
               libgcrypt11-dev
Standards-Version: 3.8.4
Homepage: http://www.joachim-wilke.de/kfritz.htm

Package: kfritz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Notifier and manager for AVM Fritz!Box
 kfritz works together with an AVM Fritz!Box. It provides
 notifications on new incoming or outgoing calls, it tracks
 missed calls and can announce it via libindicate / message
 indicator widget. Further, it is possible to browse the phone
 book of the box. kfritz uses knotify to show connects and
 disconnects.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with kde  $@

## kfritz 0.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 #set(CMAKE_BUILD_TYPE "Debug")    # <-- enable for debugging 
 set(CMAKE_SKIP_RPATH TRUE)
 set(CMAKE_MODULE_PATH "${KFRITZ_SOURCE_DIR}/CMakeModules")
+
+find_package(PkgConfig REQUIRED)
 
 # --- kde includes ------------------------------------------------------------
 find_package(KDE4 REQUIRED)
@@ -16,8 +18,12 @@
 include("FindGcryptConfig")
 gcrypt_check(GCRYPT REQUIRED gcrypt)
 
+# --- gnu common cpp library --------------------------------------------------
+pkg_check_modules(CC++ REQUIRED libccgnu2 libccext2)
+include_directories(${CC++_INCLUDE_DIRS})
+link_directories(${CC++_LIBRARY_DIRS})
+
 # --- support for libindicate -------------------------------------------------
-find_package(PkgConfig REQUIRED)
 pkg_check_modules(INDICATEQT indicate-qt>=0.2.2)
 macro_log_feature(INDICATEQT_FOUND "indicate-qt" "QT bindings for libindicate" 
                                    "https://launchpad.net/libindicate-qt" 
@@ -31,10 +37,8 @@
 
                     
 # --- include local libs ------------------------------------------------------
-subdirs(libtcpclient++)
-subdirs(libpthread++)
 subdirs(libfritz++)
-INCLUDE_DIRECTORIES(libfritz++ libtcpclient++ libpthread++)
+INCLUDE_DIRECTORIES(libfritz++)
 
 # --- include icons -----------------------------------------------------------
 subdirs(icons)
@@ -64,19 +68,20 @@
 
 # --- compile and link --------------------------------------------------------
 
-set(kfritzbox_SRCS KFritz.cpp KFritzWindow.cpp KFonbookModel.cpp KSettingsFonbooks.cpp
-                   KSettingsFritzBox.cpp KFritzModel.cpp KCalllistModel.cpp LibFritzInit.cpp 
-                   Log.cpp LogDialog.cpp QAdaptTreeView.cpp)
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} ${GCRYPT_CFLAGS}")
+set(kfritzbox_SRCS ContainerWidget.cpp DialDialog.cpp KFritz.cpp KFritzWindow.cpp KFonbookModel.cpp 
+                   KSettingsFonbooks.cpp KSettingsFritzBox.cpp KSettingsMisc.cpp KFritzModel.cpp 
+                   KCalllistModel.cpp KCalllistProxyModel.cpp 
+                   LibFritzInit.cpp Log.cpp LogDialog.cpp MimeFonbookEntry.cpp QAdaptTreeView.cpp)
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} ${GCRYPT_CFLAGS} ${CC++_CFLAGS_OTHER}")
 set(CMAKE_CXX_FLAGS_DEBUG "-g -ggdb -O0 -Wall -D_GLIBCXX_DEBUG") 
 
 kde4_add_kcfg_files(kfritzbox_SRCS GENERATE_MOC KSettings.kcfgc)
-kde4_add_ui_files(kfritzbox_SRCS KSettingsFritzBox.ui KSettingsFonbooks.ui)
+kde4_add_ui_files(kfritzbox_SRCS KSettingsFritzBox.ui KSettingsFonbooks.ui KSettingsMisc.ui DialDialog.ui)
 
 configure_file(pkg-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/pkg-config.h)
 kde4_add_executable(kfritz ${kfritzbox_SRCS})
-target_link_libraries(kfritz ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY} ${GCRYPT_LIBRARIES}
-                                fritz++ tcpclient++ pthread++ )
+target_link_libraries(kfritz ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY} 
+                                fritz++ ${GCRYPT_LIBRARIES} ${CC++_LDFLAGS})
 if (INDICATEQT_FOUND)
 	target_link_libraries(kfritz ${INDICATEQT_LIBRARIES})
 endif (INDICATEQT_FOUND)
@@ -84,6 +89,7 @@
 
 # --- installs ----------------------------------------------------------------                                
 install(TARGETS kfritz ${INSTALL_TARGETS_DEFAULT_ARGS})
+# TODO: kfritz.notifyrc is installed in /usr/local/share/apps/kfritz/ -> does not work (use /usr/share/kde4/apps/kfritz/ instead)
 install(FILES kfritz.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kfritz)
 install(FILES kfritzui.rc DESTINATION ${DATA_INSTALL_DIR}/kfritz)
 install(FILES kfritz.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== Makefile ===
VERSION = $(shell grep 'static const char \*VERSION *=' KFritz.cpp | awk '{ print $$6 }' | sed -e 's/[";]//g')
WDIR    = $(shell pwd)
PODIR   = po
POTFILE = $(PODIR)/kfritz.pot
POFILES = $(wildcard $(PODIR)/*.po)


cmake:
	@if test ! -d build; \
	then mkdir -p build; \
	cd build; cmake ..; \
	fi

cmake-debug:
	@if test ! -d build; \
	then mkdir -p build; \
	cd build; cmake -DCMAKE_BUILD_TYPE:STRING=Debug ..; \
	fi

all: cmake $(POFILES) $(POTFILE)
	cd build; make 
	
debug: cmake-debug $(POFILES) $(POTFILE)
	cd build; make 

clean:
	@-make -C libfritz++ clean
	@-make -C libtcpclient++ clean
	@-rm ../kfritz-${VERSION}.orig.tar.gz
	@-rm -rf build
	
dist: clean
	tar cvz --dereference \
	        --exclude-vcs --exclude="debian" --exclude=".settings" --exclude=".project" \
	        --exclude=".cproject" --exclude=".cdtproject" --exclude="test" --exclude=".git*" \
	        -f ../kfritz_${VERSION}.orig.tar.gz ../kfritz

kde-install: all
	cd build; kdesudo make install

kde-install-debug: debug
	cd build; kdesudo make install

install:
	cd build; sudo make install

deb: dist
	debuild -i"(\.svn|\.settings|\.(c|cdt|)project|test)"

deb-src: dist
	debuild -S -i"(\.svn|\.settings|\.(c|cdt|)project|test)"
	
$(POTFILE): $(wildcard *.cpp) $(wildcard libfritz++/*.cpp) $(wildcard *.kcfg) $(wildcard *.rc) 
	xgettext --from-code=UTF-8 -C -kde -ci18n -ki18n:1 -ki18nc:1c,2 -ki18np:1,2 -ki18ncp:1c,2,3 -ktr2i18n:1\
	         -kI18N_NOOP:1 -kI18N_NOOP2:1c,2 -kaliasLocale -kki18n:1 -kki18nc:1c,2 -kki18np:1,2 -kki18ncp:1c,2,3 \
	         --msgid-bugs-address="kfritz@joachim-wilke.de" --no-location -s \
	         -D ${WDIR} -o $(POTFILE) *.h *.cpp *.kcfg *.rc build/*.h libfritz++/*.cpp libfritz++/*.h
	grep -v POT-Creation $(POTFILE) > $(POTFILE)~
	mv $(POTFILE)~ $(POTFILE)
	         
po/%.po: $(POTFILE)
	msgmerge -U --no-wrap -s --backup=none -q $@ $<
	@touch $@

=== debian/changelog ===
kfritz (0.0.7-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 18 Feb 2011 19:42:11 +0100

kfritz (0.0.6-0ubuntu3) natty; urgency=low

  * Rebuild with libindicate-qt 0.2.5.91-0ubuntu2 to fix dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 13:38:12 +0000

kfritz (0.0.6-0ubuntu2) natty; urgency=low

  * Build against libindicate-qt 0.2.5.91 for soname transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Feb 2011 18:00:25 +0000

kfritz (0.0.6-0ubuntu1) natty; urgency=low

  * New upstream release
    - Remove remove-ubuntu-gettext-domain.patch, fixed upstream
    - Remove fix-ftbfs-no-add-needed.patch, fixed upstream
    - Remove remove-handbook-menu-entry.patch, fixed upstream

 -- Christian Mangold <neversfelde@ubuntu.com>  Wed, 19 Jan 2011 19:47:15 +0100

kfritz (0.0.5-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Build-depend on libcommoncpp2-dev.
  * Install the README file.
  * Remove the handbook menu entry as KFritz doesn't have one.
  * Adapt fix-ftbfs-no-add-needed.patch to new upstream version.
  * Rename debian-changes-0.0.4-0ubuntu1 to remove-ubuntu-gettext-domain.patch.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 06 Jan 2011 16:32:18 +0100

kfritz (0.0.4-0ubuntu3) natty; urgency=low

  * Fix FTBFS with --no-add-needed.
    - Link against pthread and rt.
  * Enable parallel building.
  * Bump Standards-Version to 3.9.1, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 12 Dec 2010 22:03:34 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
                pkg-kde-tools (>= 0.5.3),
                cmake,
                kdelibs5-dev,
-               libindicate-qt-dev,
-               libgcrypt11-dev
-Standards-Version: 3.8.4
+               libindicate-qt-dev (>= 0.2.5.91),
+               libgcrypt11-dev,
+               libcommoncpp2-dev
+Standards-Version: 3.9.1
 Homepage: http://www.joachim-wilke.de/kfritz.htm
 
 Package: kfritz

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 #export DH_VERBOSE=1
 
 %:
-	dh --with kde  $@
+	dh $@ --parallel --with kde

## kfritz 0.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #set(CMAKE_VERBOSE_MAKEFILE true) # <-- enable for debugging
 #set(CMAKE_BUILD_TYPE "Debug")    # <-- enable for debugging 
 set(CMAKE_SKIP_RPATH TRUE)
-set(CMAKE_MODULE_PATH "${KFRITZ_SOURCE_DIR}/CMakeModules")
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${KFRITZ_SOURCE_DIR}/CMakeModules")
 
 find_package(PkgConfig REQUIRED)

=== Makefile ===
VERSION = $(shell grep 'static const char \*VERSION *=' KFritz.cpp | awk '{ print $$6 }' | sed -e 's/[";]//g')
WDIR    = $(shell pwd)

cmake: LibFritzI18N.cpp
	@if test ! -d build; \
	then mkdir -p build; \
	cd build; cmake ..; \
	fi

cmake-debug: LibFritzI18N.cpp
	@if test ! -d build; \
	then mkdir -p build; \
	cd build; cmake -DCMAKE_BUILD_TYPE:STRING=Debug ..; \
	fi

all: cmake 
	cd build; make 
	
debug: cmake-debug 
	cd build; make 

clean:
	@-make -C libfritz++ clean
	@-make -C libtcpclient++ clean
	@-rm ../kfritz-${VERSION}.orig.tar.gz
	@-rm -rf build
	
dist: clean update-po
	tar cvz --dereference --exclude=l10n-kde4 \
	        --exclude-vcs --exclude="debian" --exclude=".settings" --exclude=".project" \
	        --exclude=".cproject" --exclude=".cdtproject" --exclude="test" --exclude=".git*" \
	        -f ../kfritz_${VERSION}.orig.tar.gz ../kfritz
	        
fetch-po:
	@if test ! -d l10n-kde4; \
	then svn co --depth=immediates svn+ssh://joachimwilke@svn.kde.org/home/kde/trunk/l10n-kde4/ ; \
	for LCODE in `cat l10n-kde4/subdirs`; do svn up --set-depth=empty l10n-kde4/$$LCODE/messages/ ; done ; \
	for LCODE in `cat l10n-kde4/subdirs`; do svn up --set-depth=files l10n-kde4/$$LCODE/messages/playground-network/ ; done ; \
	fi
	
update-po: fetch-po
	svn up l10n-kde4
	for LCODE in `cat l10n-kde4/subdirs`; do \
	if test -e l10n-kde4/$$LCODE/messages/playground-network/kfritz.po; then \
	cp l10n-kde4/$$LCODE/messages/playground-network/kfritz.po po/$$LCODE.po ; fi ; done
	
LibFritzI18N.cpp: libfritz++/*.cpp
	mv $@ $@.old 
	cat $@.old | grep -v i18n > $@
	rm $@.old
	grep -ir I18N_NOOP libfritz++/*.cpp | sed -e 's/.*I18N_NOOP(\([^)]*\).*/i18n(\1)/' | sort | uniq >> $@

kde-install: all
	cd build; kdesudo make install

kde-install-debug: debug
	cd build; kdesudo make install

install:
	cd build; sudo make install

deb: dist
	debuild -i"(\.svn|\.settings|\.(c|cdt|)project|test)"

deb-src: dist
	debuild -S -i"(\.svn|\.settings|\.(c|cdt|)project|test)"

=== debian/changelog ===
kfritz (0.0.8-0ubuntu2) quantal; urgency=low

  * No change rebuild for libccgnu2-1.8-0

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 30 May 2012 01:25:19 -0500

kfritz (0.0.8-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- Felix Geyer <debfx-pkg@fobos.de>  Thu, 01 Dec 2011 23:40:15 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libindicate-qt-dev (>= 0.2.5.91),
                libgcrypt11-dev,
                libcommoncpp2-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.joachim-wilke.de/kfritz.htm
 
 Package: kfritz

=== debian/watch ===
version=3
http://www.joachim-wilke.de/kfritz/kfritz_(.*)\.orig\.tar\.gz debian uupdate

## kfritz 0.0.12a

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,9 @@
 
 #set(CMAKE_VERBOSE_MAKEFILE true) # <-- enable for debugging
 #set(CMAKE_BUILD_TYPE "Debug")    # <-- enable for debugging 
-set(CMAKE_SKIP_RPATH TRUE)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${KFRITZ_SOURCE_DIR}/CMakeModules")
+set (KDE4_BUILD_TESTS ON)
+set (CMAKE_SKIP_RPATH TRUE)
+set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${KFRITZ_SOURCE_DIR}/CMakeModules")
 
 find_package(PkgConfig REQUIRED)
 
@@ -70,23 +71,37 @@
 
 set(kfritzbox_SRCS ContainerWidget.cpp DialDialog.cpp KFritz.cpp KFritzWindow.cpp KFonbookModel.cpp 
                    KSettingsFonbooks.cpp KSettingsFritzBox.cpp KSettingsMisc.cpp KFritzModel.cpp 
-                   KCalllistModel.cpp KCalllistProxyModel.cpp 
+                   KFritzDbusService.cpp KCalllistModel.cpp KCalllistProxyModel.cpp 
                    LibFritzInit.cpp Log.cpp LogDialog.cpp MimeFonbookEntry.cpp QAdaptTreeView.cpp)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} ${GCRYPT_CFLAGS} ${CC++_CFLAGS_OTHER}")
 set(CMAKE_CXX_FLAGS_DEBUG "-g -ggdb -O0 -Wall -D_GLIBCXX_DEBUG") 
+qt4_add_dbus_adaptor(kfritzbox_SRCS org.kde.KFritz.xml KFritzDbusService.h KFritzDbusService KFritzDbusServiceAdaptor KFritzDbusServiceAdaptor)
 
 kde4_add_kcfg_files(kfritzbox_SRCS GENERATE_MOC KSettings.kcfgc)
 kde4_add_ui_files(kfritzbox_SRCS KSettingsFritzBox.ui KSettingsFonbooks.ui KSettingsMisc.ui DialDialog.ui)
-
 configure_file(pkg-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/pkg-config.h)
-kde4_add_executable(kfritz ${kfritzbox_SRCS})
-target_link_libraries(kfritz ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY} 
-                                fritz++ ${GCRYPT_LIBRARIES} ${CC++_LDFLAGS})
+kde4_add_library(kfritzstatic STATIC ${kfritzbox_SRCS}) 
+kde4_add_executable(kfritz main.cpp)
+target_link_libraries(kfritz kfritzstatic fritz++ 
+                      ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY} 
+                      ${GCRYPT_LIBRARIES} ${CC++_LDFLAGS})
 if (INDICATEQT_FOUND)
 	target_link_libraries(kfritz ${INDICATEQT_LIBRARIES})
 endif (INDICATEQT_FOUND)
 
-
+# --- tests -------------------------------------------------------------------
+if (EXISTS ${KFRITZ_SOURCE_DIR}/test)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-undef")
+  include_directories(test)
+  AUX_SOURCE_DIRECTORY(test TESTFILES)
+  kde4_add_unit_test(kfritztest ${TESTFILES} test/gtest/gtest-all.cc test/gtest/gtest_main.cc)
+  target_link_libraries(kfritztest kfritzstatic fritz++ 
+                        ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY} 
+                        ${GCRYPT_LIBRARIES} ${CC++_LDFLAGS})
+  if (INDICATEQT_FOUND)
+	  target_link_libraries(kfritztest ${INDICATEQT_LIBRARIES})
+  endif (INDICATEQT_FOUND)
+endif (EXISTS ${KFRITZ_SOURCE_DIR}/test)
 # --- installs ----------------------------------------------------------------                                
 install(TARGETS kfritz ${INSTALL_TARGETS_DEFAULT_ARGS})
 # TODO: kfritz.notifyrc is installed in /usr/local/share/apps/kfritz/ -> does not work (use /usr/share/kde4/apps/kfritz/ instead)

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,27 @@
-VERSION = $(shell grep 'static const char \*VERSION *=' KFritz.cpp | awk '{ print $$6 }' | sed -e 's/[";]//g')
+VERSION = $(shell grep 'static const char \*VERSION *=' main.cpp | awk '{ print $$6 }' | sed -e 's/[";]//g')
 WDIR    = $(shell pwd)
+
+ifdef DEVELOPMENT_INSTALL
+  CWD = $(shell pwd)
+  PREFIX = ${CWD}/build/install
+ifeq ($(shell uname -m),x86_64)
+  LIB=lib64
+else
+  LIB=lib
+endif
+  CMAKE_OPTS = -DCMAKE_INSTALL_PREFIX=${PREFIX} -DLIB_INSTALL_DIR=${PREFIX}/${LIB}
+endif
 
 cmake: LibFritzI18N.cpp
 	@if test ! -d build; \
 	then mkdir -p build; \
-	cd build; cmake ..; \
+	cd build; cmake ${CMAKE_OPTS} ..; \
 	fi
 
 cmake-debug: LibFritzI18N.cpp
 	@if test ! -d build; \
 	then mkdir -p build; \
-	cd build; cmake -DCMAKE_BUILD_TYPE:STRING=Debug ..; \
+	cd build; cmake -DCMAKE_BUILD_TYPE:STRING=Debug ${CMAKE_OPTS} ..; \
 	fi
 
 all: cmake 
@@ -21,14 +32,13 @@
 
 clean:
 	@-make -C libfritz++ clean
-	@-make -C libtcpclient++ clean
 	@-rm ../kfritz-${VERSION}.orig.tar.gz
 	@-rm -rf build
 	
 dist: clean update-po
 	tar cvz --dereference --exclude=l10n-kde4 \
 	        --exclude-vcs --exclude="debian" --exclude=".settings" --exclude=".project" \
-	        --exclude=".cproject" --exclude=".cdtproject" --exclude="test" --exclude=".git*" \
+	        --exclude=".cproject" --exclude=".cdtproject" --exclude="test" --exclude="test.old" --exclude=".git*" \
 	        -f ../kfritz_${VERSION}.orig.tar.gz ../kfritz
 	        
 fetch-po:
@@ -50,14 +60,8 @@
 	rm $@.old
 	grep -ir I18N_NOOP libfritz++/*.cpp | sed -e 's/.*I18N_NOOP(\([^)]*\).*/i18n(\1)/' | sort | uniq >> $@
 
-kde-install: all
-	cd build; kdesudo make install
-
-kde-install-debug: debug
-	cd build; kdesudo make install
-
-install:
-	cd build; sudo make install
+install: all
+	cd build; make install
 
 deb: dist
 	debuild -i"(\.svn|\.settings|\.(c|cdt|)project|test)"

=== libfritz++/CMakeLists.txt ===
# --- general setup -----------------------------------------------------------
cmake_minimum_required(VERSION 2.6)
project (libfritz++)

#set(CMAKE_VERBOSE_MAKEFILE true) # <-- enable for debugging
#set(CMAKE_BUILD_TYPE "Debug")    # <-- enable for debugging 
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${libfritz++_SOURCE_DIR}/CMakeModules")
find_package(PkgConfig REQUIRED)
find_package(Threads REQUIRED)

# --- libgcrypt includes ------------------------------------------------------
include("FindGcryptConfig")
gcrypt_check(GCRYPT REQUIRED gcrypt)

# --- gnu common cpp library --------------------------------------------------
pkg_check_modules(CC++ REQUIRED libccgnu2 libccext2)
include_directories(${CC++_INCLUDE_DIRS})
link_directories(${CC++_LIBRARY_DIRS})

# --- compile and link --------------------------------------------------------
include_directories(${libfritz++_SOURCE_DIR})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GCRYPT_CFLAGS} ${CC++_CFLAGS_OTHER}")

set(SRCS cc++/url.cpp cc++/urlstring.cpp cc++/mime.cpp cc++/soap.cpp
         CallList.cpp Config.cpp 
         Fonbooks.cpp Fonbook.cpp FonbookManager.cpp FritzClient.cpp FritzFonbook.cpp 
         HttpClient.cpp Listener.cpp LocalFonbook.cpp LookupFonbook.cpp Nummerzoeker.cpp OertlichesFonbook.cpp 
         SoapClient.cpp TcpClient.cpp TelLocalChFonbook.cpp Tools.cpp XmlFonbook.cpp)
add_library(fritz++ STATIC ${SRCS})

# --- tests -------------------------------------------------------------------
if (EXISTS ${libfritz++_SOURCE_DIR}/test)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-undef -DSOURCE_DIR=\\\"${libfritz++_SOURCE_DIR}\\\"")
  include_directories(${libfritz++_SOURCE_DIR}/test)
  AUX_SOURCE_DIRECTORY(test LIBTESTFILES)
  add_executable(libfritztest ${LIBTESTFILES} test/gtest/gtest-all.cc test/gtest/gtest_main.cc)
  target_link_libraries(libfritztest fritz++ 
                        ${GCRYPT_LIBRARIES} ${CC++_LDFLAGS})
endif (EXISTS ${libfritz++_SOURCE_DIR}/test)

=== debian/changelog ===
kfritz (0.0.12a-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Switch to debhelper compat level v9.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Update watch file.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 12 Jan 2013 23:51:51 +0100

kfritz (0.0.10-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Add Pre-Depends for dpkg (>= 1.15.6~) in kfritz binary to
    satisfy Lintian.

 -- Logan Rosen <logatronico@gmail.com>  Sun, 04 Nov 2012 14:25:52 -0500

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Christian Mangold <neversfelde@ubuntu.com>
-Build-Depends: debhelper (>= 7.4.13),
+Build-Depends: debhelper (>= 9),
                pkg-kde-tools (>= 0.5.3),
                cmake,
                kdelibs5-dev,
                libindicate-qt-dev (>= 0.2.5.91),
                libgcrypt11-dev,
                libcommoncpp2-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.joachim-wilke.de/kfritz.htm
 
 Package: kfritz
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: dpkg (>= 1.15.6~)
 Description: Notifier and manager for AVM Fritz!Box
  kfritz works together with an AVM Fritz!Box. It provides
  notifications on new incoming or outgoing calls, it tracks

=== debian/watch ===
version=3
http://www.joachim-wilke.de/dl_46.htm \
  downloads/kfritz/kfritz_(.*)\.orig\.tar\.gz debian uupdate
